%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-growl
Version:    1.10.5
Release:    %mkrel 2
Summary:    Growl unobtrusive notifications for Node.js
# License text is included in Readme.md
License:    MIT
Group:      System/Libraries
URL:        https://github.com/visionmedia/node-growl
Source0:    https://registry.npmjs.org/growl/-/growl-%{version}.tgz

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  libnotify
%endif

Requires:       libnotify >= 0:0.5.0-1

%description
%{summary}


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/growl
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/growl

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test.js
%endif


%files
%doc History.md Readme.md
%{nodejs_sitelib}/growl




%changelog
* Thu Mar 31 2022 umeabot <umeabot> 1.10.5-2.mga9
+ Revision: 1836075
- Mageia 9 Mass Rebuild

* Sat Feb 22 2020 kekepower <kekepower> 1.10.5-1.mga8
+ Revision: 1549408
- Update to version 1.10.5

* Wed Feb 12 2020 umeabot <umeabot> 1.7.0-6.mga8
+ Revision: 1492579
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.7.0-5.mga7
+ Revision: 1264981
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.7.0-4.mga6
+ Revision: 952577
- Mageia 6 Mass Rebuild

* Mon Mar 09 2015 joequant <joequant> 1.7.0-3.mga5
+ Revision: 818188
- fix so that it does not use isa.  This is defined at build-time which
  causes problems at runtime

* Mon Dec 08 2014 joequant <joequant> 1.7.0-2.mga5
+ Revision: 802124
- sync with newest libraries

* Tue Oct 28 2014 tv <tv> 1.7.0-1.mga5
+ Revision: 794055
- BR libnotify
- imported package nodejs-growl


* Tue Oct 28 2014 Thierry Vignaud <tv@mageia.org> 1.7.0-1.mga5
- import from FC

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.7.0-4
- restrict to compatible arches

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.7.0-3
- rebuild for missing npm(growl) provides on EL6

* Sun Feb 24 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.7.0-2
- specify architecture and version for libnotify in Requires

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.7.0-1
- initial package
